#!/usr/bin/env python
#
# Written by Bram Cohen
# Modified by Cameron Dale
# see LICENSE.txt for license information
#
# $Id: bttrack.py 63 2007-05-26 21:04:19Z camrdale-guest $

"""Start a debtorrent download tracker."""

from DebTorrent import PSYCO
if PSYCO.psyco:
    try:
        import psyco
        assert psyco.__version__ >= 0x010100f0
        psyco.full()
    except:
        pass

PROFILE = 0
    
from sys import argv
from DebTorrent.BT1.track import track

if __name__ == '__main__':
    if PROFILE:
        import profile, pstats
        p = profile.Profile()
        p.runcall(track, argv[1:])
        p.dump_stats('bttrack.pstat')
#        pstats.Stats(p).strip_dirs().sort_stats('cumulative').print_stats()
        pstats.Stats(p).strip_dirs().sort_stats('time').print_stats()
    else:
        track(argv[1:])
